commit:     e577947202453dc58c5656bc759d8d69333560f6
Author:     Henning Schild <henning <AT> hennsch <DOT> de>
AuthorDate: Sun Jan  8 13:06:07 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Wed Mar  1 17:58:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5779472

www-apps/rutorrent: bump version to 4.0.2 and update 9999

Note that rutorrent-9999.ebuild is now just a copy of the latest
version.

Closes: https://bugs.gentoo.org/730206
Signed-off-by: Henning Schild <henning <AT> hennsch.de>
Closes: https://github.com/gentoo/gentoo/pull/29010
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 www-apps/rutorrent/Manifest                        |  1 +
 ...utorrent-9999.ebuild => rutorrent-4.0.2.ebuild} | 54 +++++++++++++---------
 www-apps/rutorrent/rutorrent-9999.ebuild           | 54 +++++++++++++---------
 3 files changed, 67 insertions(+), 42 deletions(-)

diff --git a/www-apps/rutorrent/Manifest b/www-apps/rutorrent/Manifest
index 1b3fff019b61..d9b4d4d904a5 100644
--- a/www-apps/rutorrent/Manifest
+++ b/www-apps/rutorrent/Manifest
@@ -1 +1,2 @@
 DIST rutorrent-3.8.tar.gz 1241643 BLAKE2B 
c432e8691d35447cd0698eee8edeee4060238dc39cc8cbb178c1169f166fa1d483493181ce0d2f468106ae01dd0f58d4fbb2f334de393fabb2b0aa73363e2b7f
 SHA512 
ea3dfa74234a1eafcbc9e71d6c6d953a46fdf8e189237b8df0ec58cf46ac30404f7a15bb783ec7567ab6f28daa3987ee219039dd360e3c48d16aea244263c9b6
+DIST rutorrent-4.0.2.tar.gz 2221825 BLAKE2B 
96867dbd818949388dedbfeee80ae85d22c9f3b04636d66797a96fc7b1de7541128445a989f642d711bd93aaf0840b56fe4e7bb7f29a02d122d939039eeff835
 SHA512 
f1f3cf7712246c02c73753e5ec8c3b5c0af4797699adeabc59822c165d06d7291d50a2d065b2d729273f907e1ec288391b1f02bc733a2b40d3e818a2de983528

diff --git a/www-apps/rutorrent/rutorrent-9999.ebuild 
b/www-apps/rutorrent/rutorrent-4.0.2.ebuild
similarity index 51%
copy from www-apps/rutorrent/rutorrent-9999.ebuild
copy to www-apps/rutorrent/rutorrent-4.0.2.ebuild
index ad651140c198..f7dbb6ae40d3 100644
--- a/www-apps/rutorrent/rutorrent-9999.ebuild
+++ b/www-apps/rutorrent/rutorrent-4.0.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit webapp
+inherit webapp optfeature
 
 DESCRIPTION="ruTorrent is a front-end for the popular Bittorrent client 
rTorrent"
 HOMEPAGE="https://github.com/Novik/ruTorrent";
@@ -13,41 +13,45 @@ if [[ ${PV} == 9999 ]]; then
 else
        SRC_URI="https://github.com/Novik/ruTorrent/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
        KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+       S="${WORKDIR}/ruTorrent-${PV}"
 fi
 
-LICENSE="GPL-2"
-IUSE=""
+LICENSE="GPL-2+ MIT"
 
-need_httpd_cgi
+RDEPEND="
+       dev-lang/php[xml,gd]
+       virtual/httpd-php
+"
 
-DEPEND="dev-lang/php[xml,gd]"
-RDEPEND="virtual/httpd-php"
+need_httpd_cgi
 
 pkg_setup() {
        webapp_pkg_setup
 }
 
-src_prepare() {
-       default
-       find -name '\.gitignore' -type f -exec rm -rf {} \;
-       if [[ ${PV} == 9999 ]]; then
-               rm -rf .git
-       fi
-}
-
 src_install() {
        webapp_src_preinst
 
+       rm -r .github || die
+       find . \( -name .gitignore -o -name .gitmodules \) -type f -delete || 
die
+       if [[ ${PV} == 9999 ]]; then
+               rm -r .git .gitattributes || die
+       fi
+
        insinto "${MY_HTDOCSDIR}"
        doins -r .
 
+       # can not use fperms beacuse of globbing
        chmod +x "${ED}${MY_HTDOCSDIR}"/plugins/*/*.sh \
-               "$ED${MY_HTDOCSDIR}"/php/test.sh || die "chmod failed"
+               "${ED}${MY_HTDOCSDIR}"/php/test.sh || die "chmod failed"
+
+       keepdir "${MY_HTDOCSDIR}"/conf/users
+       keepdir "${MY_HTDOCSDIR}"/share/settings
+       keepdir "${MY_HTDOCSDIR}"/share/torrents
+       keepdir "${MY_HTDOCSDIR}"/share/users
 
-       webapp_serverowned "${MY_HTDOCSDIR}"/share
-       webapp_serverowned "${MY_HTDOCSDIR}"/share/settings
-       webapp_serverowned "${MY_HTDOCSDIR}"/share/torrents
-       webapp_serverowned "${MY_HTDOCSDIR}"/share/users
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/conf
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/share
 
        webapp_configfile "${MY_HTDOCSDIR}"/conf/.htaccess
        webapp_configfile "${MY_HTDOCSDIR}"/conf/config.php
@@ -57,3 +61,11 @@ src_install() {
 
        webapp_src_install
 }
+
+pkg_postinst() {
+       webapp_pkg_postinst
+
+       optfeature "Show audio file spectogram" media-sound/sox
+       optfeature "Display media file information" media-video/mediainfo
+       optfeature "Scrape Cloudflare based sites" dev-python/cloudscraper
+}

diff --git a/www-apps/rutorrent/rutorrent-9999.ebuild 
b/www-apps/rutorrent/rutorrent-9999.ebuild
index ad651140c198..f7dbb6ae40d3 100644
--- a/www-apps/rutorrent/rutorrent-9999.ebuild
+++ b/www-apps/rutorrent/rutorrent-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit webapp
+inherit webapp optfeature
 
 DESCRIPTION="ruTorrent is a front-end for the popular Bittorrent client 
rTorrent"
 HOMEPAGE="https://github.com/Novik/ruTorrent";
@@ -13,41 +13,45 @@ if [[ ${PV} == 9999 ]]; then
 else
        SRC_URI="https://github.com/Novik/ruTorrent/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
        KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+       S="${WORKDIR}/ruTorrent-${PV}"
 fi
 
-LICENSE="GPL-2"
-IUSE=""
+LICENSE="GPL-2+ MIT"
 
-need_httpd_cgi
+RDEPEND="
+       dev-lang/php[xml,gd]
+       virtual/httpd-php
+"
 
-DEPEND="dev-lang/php[xml,gd]"
-RDEPEND="virtual/httpd-php"
+need_httpd_cgi
 
 pkg_setup() {
        webapp_pkg_setup
 }
 
-src_prepare() {
-       default
-       find -name '\.gitignore' -type f -exec rm -rf {} \;
-       if [[ ${PV} == 9999 ]]; then
-               rm -rf .git
-       fi
-}
-
 src_install() {
        webapp_src_preinst
 
+       rm -r .github || die
+       find . \( -name .gitignore -o -name .gitmodules \) -type f -delete || 
die
+       if [[ ${PV} == 9999 ]]; then
+               rm -r .git .gitattributes || die
+       fi
+
        insinto "${MY_HTDOCSDIR}"
        doins -r .
 
+       # can not use fperms beacuse of globbing
        chmod +x "${ED}${MY_HTDOCSDIR}"/plugins/*/*.sh \
-               "$ED${MY_HTDOCSDIR}"/php/test.sh || die "chmod failed"
+               "${ED}${MY_HTDOCSDIR}"/php/test.sh || die "chmod failed"
+
+       keepdir "${MY_HTDOCSDIR}"/conf/users
+       keepdir "${MY_HTDOCSDIR}"/share/settings
+       keepdir "${MY_HTDOCSDIR}"/share/torrents
+       keepdir "${MY_HTDOCSDIR}"/share/users
 
-       webapp_serverowned "${MY_HTDOCSDIR}"/share
-       webapp_serverowned "${MY_HTDOCSDIR}"/share/settings
-       webapp_serverowned "${MY_HTDOCSDIR}"/share/torrents
-       webapp_serverowned "${MY_HTDOCSDIR}"/share/users
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/conf
+       webapp_serverowned -R "${MY_HTDOCSDIR}"/share
 
        webapp_configfile "${MY_HTDOCSDIR}"/conf/.htaccess
        webapp_configfile "${MY_HTDOCSDIR}"/conf/config.php
@@ -57,3 +61,11 @@ src_install() {
 
        webapp_src_install
 }
+
+pkg_postinst() {
+       webapp_pkg_postinst
+
+       optfeature "Show audio file spectogram" media-sound/sox
+       optfeature "Display media file information" media-video/mediainfo
+       optfeature "Scrape Cloudflare based sites" dev-python/cloudscraper
+}

Reply via email to